Campaigns

GET /public/v1/campaigns/get-all

List campaigns. Workspace members see only their own campaigns. Workspace admins and owners see all campaigns in the workspace.

GET /public/v1/campaigns/get-all

GET /public/v1/campaigns/get-all

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/campaigns/get-all' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "campaigns": [
      {
        "id": "<string>",
        "name": "<string>",
        "status": "<string>",
        "type": "<string>",
        "templated": true,
        "created_at": "<string>",
        "outreach_count_per_day": 1,
        "total_prospects": 1,
        "workspace_id": "<string>",
        "workspace_name": "<string>",
        "campaign_profiles_type": "<string>",
        "campaign_input_type": "<string>"
      }
    ],
    "pagination": {
      "limit": 1,
      "offset": 1,
      "total": 1,
      "hasMore": true
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Query Parameters

  • limit number

    Maximum number of records to return (1–100, default 20).

  • offset number

    Number of records to skip. Capped at 1,000.

  • ownerId string

    Admin/Owner only: scope results to a specific workspace member by their user ID.

  • sort string enum

    Sort order. newest = created_at desc (default), oldest = created_at asc.

  • workspaceId string

    Scope results to a specific workspace. Admins and owners will see all campaigns in the workspace; members will see only their own.

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • campaigns[] object array
      + Show Child Attributes
      • id string
      • name string
      • status string
      • type string
      • templated boolean
      • created_at string
      • outreach_count_per_day number
      • total_prospects number
      • workspace_id string
      • workspace_name string
      • campaign_profiles_type string
      • campaign_input_type string
      • total_prospects_contacted number
      • total_meetings_booked number
      • acceptance_rate number
      • response_rate number
      • campaign_owner_id string
      • campaign_owner_name string
      • sending_times object
        + Show Child Attributes
        • [key: string] any additional

          Additional arbitrary properties are allowed.

      • template object nullable
        + Show Child Attributes
        • id string
        • name string
      • writing_style object nullable
        + Show Child Attributes
        • id string
        • name string
      • workspace_product object nullable
        + Show Child Attributes
        • id string
        • name string
    • pagination object
      + Show Child Attributes
      • limit number
      • offset number
      • total number
      • hasMore boolean